### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-page-header/ecl-page-header-core/ecl-page-header-core.component.ts`

### Extends

`EclPageHeaderComponent`

### Metadata

selector | `ecl-page-header-core`
templateUrl | `./ecl-page-header-core.component.html`

### Index

###### Properties
eclBreadcrumbComponent Abstract eclBreadcrumbComponent
###### Methods
getBackgroundImage getBreadcrumbClass hasBackgroundImage Abstract getBreadcrumbClass
###### Inputs
backgroundImage description group meta styleClass title

### Inputs

backgroundImage
Type : `string`

description
Type : `string`

group
Type : `string`
Default value : `'2'`

meta
Type : `string`

styleClass
Type : `string`

title
Type : `string`

### Methods

getBackgroundImage
`getBackgroundImage()`
Returns : `any`

getBreadcrumbClass
`getBreadcrumbClass()`
Returns : `string`

hasBackgroundImage
`hasBackgroundImage()`
Returns : `boolean`

Abstract getBreadcrumbClass
`getBreadcrumbClass()`
Returns : `string`

### Properties

eclBreadcrumbComponent
Type : `EclBreadcrumbCoreComponent`
Decorators : `@ContentChild(EclBreadcrumbCoreComponent)`

Abstract eclBreadcrumbComponent
Type : `EclBreadcrumbComponent`

# result-matching ""

# No results matching ""